import { App } from 'vue';
import { ComponentOptionsMixin } from 'vue';
import { DefineComponent } from 'vue';
import { ExtractPropTypes } from 'vue';
import { PublicProps } from 'vue';

declare const _default: {
    install: typeof install;
};
export default _default;

export declare function install(app: App): void;

export declare const VueBootstrapAutocomplete: DefineComponent<    {
    ariaLabelledBy: {
        type: StringConstructor;
        default: null;
    };
    size: {
        type: StringConstructor;
        default: null;
        validator: (size: string) => boolean;
    };
    modelValue: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    data: {
        type: ArrayConstructor;
        required: true;
        validator: (d: unknown) => boolean;
    };
    serializer: {
        type: FunctionConstructor;
        default: (d: any) => any;
        validator: (d: unknown) => boolean;
    };
    screenReaderTextSerializer: {
        type: FunctionConstructor;
        validator: (d: unknown) => boolean;
    };
    backgroundVariant: StringConstructor;
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => any;
        validator: (d: unknown) => boolean;
    };
    disabledValues: {
        type: ArrayConstructor;
        default: () => never[];
    };
    textVariant: StringConstructor;
    inputClass: {
        type: StringConstructor;
        default: string;
    };
    inputName: {
        type: StringConstructor;
        default: undefined;
    };
    maxMatches: {
        type: NumberConstructor;
        default: number;
    };
    minMatchingChars: {
        type: NumberConstructor;
        default: number;
    };
    disableSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    noResultsInfo: {
        type: StringConstructor;
    };
    showOnFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    showAllResults: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    ieCloseFix: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    prepend: StringConstructor;
    append: StringConstructor;
    highlightClass: StringConstructor;
    state: {
        type: BooleanConstructor;
        default: null;
    };
}, unknown, {
    isFocused: boolean;
    inputValue: string;
}, {
    id(): number;
    inputGroupClasses(): string;
    formattedData(): {
        id: number;
        data: unknown;
        screenReaderText: any;
        text: any;
    }[];
}, {
    _screenReaderTextSerializer(d: any): any;
    resizeList(el: any): void;
    handleKeyUp(evt: any): void;
    handleHit(evt: any): void;
    handleChildBlur(): void;
    runFocusOut(tgt: any): void;
    handleFocusOut(evt: any): void;
    handleInput(newValue: any): void;
    handleEsc(inputValue: any): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, ("input" | "keyup" | "blur" | "hit" | "focus" | "paste" | "update:model-value")[], "input" | "keyup" | "blur" | "hit" | "focus" | "paste" | "update:model-value", PublicProps, Readonly<ExtractPropTypes<    {
    ariaLabelledBy: {
        type: StringConstructor;
        default: null;
    };
    size: {
        type: StringConstructor;
        default: null;
        validator: (size: string) => boolean;
    };
    modelValue: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    data: {
        type: ArrayConstructor;
        required: true;
        validator: (d: unknown) => boolean;
    };
    serializer: {
        type: FunctionConstructor;
        default: (d: any) => any;
        validator: (d: unknown) => boolean;
    };
    screenReaderTextSerializer: {
        type: FunctionConstructor;
        validator: (d: unknown) => boolean;
    };
    backgroundVariant: StringConstructor;
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => any;
        validator: (d: unknown) => boolean;
    };
    disabledValues: {
        type: ArrayConstructor;
        default: () => never[];
    };
    textVariant: StringConstructor;
    inputClass: {
        type: StringConstructor;
        default: string;
    };
    inputName: {
        type: StringConstructor;
        default: undefined;
    };
    maxMatches: {
        type: NumberConstructor;
        default: number;
    };
    minMatchingChars: {
        type: NumberConstructor;
        default: number;
    };
    disableSort: {
        type: BooleanConstructor;
        default: boolean;
    };
    noResultsInfo: {
        type: StringConstructor;
    };
    showOnFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    showAllResults: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    ieCloseFix: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    prepend: StringConstructor;
    append: StringConstructor;
    highlightClass: StringConstructor;
    state: {
        type: BooleanConstructor;
        default: null;
    };
}>> & {
    onPaste?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onKeyup?: ((...args: any[]) => any) | undefined;
    onHit?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    backgroundVariantResolver: Function;
    size: string;
    disableSort: boolean;
    maxMatches: number;
    minMatchingChars: number;
    disabledValues: unknown[];
    showOnFocus: boolean;
    showAllResults: boolean;
    autoClose: boolean;
    ariaLabelledBy: string;
    serializer: Function;
    inputClass: string;
    inputName: string;
    ieCloseFix: boolean;
    state: boolean;
}, {}>;

export declare const VueBootstrapAutocompleteList: DefineComponent<    {
    data: {
        type: ArrayConstructor;
        required: true;
        validator: (d: unknown) => boolean;
    };
    query: {
        type: StringConstructor;
        default: string;
    };
    vbtUniqueId: {
        type: NumberConstructor;
        required: true;
    };
    backgroundVariant: {
        type: StringConstructor;
    };
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => null;
        validator: (d: unknown) => boolean;
    };
    disableSort: {
        type: BooleanConstructor;
    };
    textVariant: {
        type: StringConstructor;
    };
    maxMatches: {
        type: NumberConstructor;
        default: number;
    };
    minMatchingChars: {
        type: NumberConstructor;
        default: number;
    };
    disabledValues: {
        type: ArrayConstructor;
        default: () => never[];
    };
    noResultsInfo: {
        type: StringConstructor;
    };
    showOnFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    showAllResults: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightClass: {
        type: StringConstructor;
        default: string;
    };
    htmlText: {
        type: StringConstructor;
        default: string;
    };
}, unknown, {
    activeListItem: number;
}, {
    highlight(): (text: any) => any;
    escapedQuery(): any;
    actionableItems(): any;
    matchedItems(): unknown[];
}, {
    handleParentInputKeyup(e: any): void;
    handleHit(item: any, evt: any): void;
    hitActiveListItem(): void;
    isDisabledItem(item: any): any;
    isListItemActive(id: any): boolean;
    resetActiveListItem(): void;
    findIndexForNextActiveItem(itemsToSearch: any, currentSelectedItem: any): any;
    selectNextListItem(): true | undefined;
    selectPreviousListItem(): true | undefined;
}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
    data: {
        type: ArrayConstructor;
        required: true;
        validator: (d: unknown) => boolean;
    };
    query: {
        type: StringConstructor;
        default: string;
    };
    vbtUniqueId: {
        type: NumberConstructor;
        required: true;
    };
    backgroundVariant: {
        type: StringConstructor;
    };
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => null;
        validator: (d: unknown) => boolean;
    };
    disableSort: {
        type: BooleanConstructor;
    };
    textVariant: {
        type: StringConstructor;
    };
    maxMatches: {
        type: NumberConstructor;
        default: number;
    };
    minMatchingChars: {
        type: NumberConstructor;
        default: number;
    };
    disabledValues: {
        type: ArrayConstructor;
        default: () => never[];
    };
    noResultsInfo: {
        type: StringConstructor;
    };
    showOnFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    showAllResults: {
        type: BooleanConstructor;
        default: boolean;
    };
    highlightClass: {
        type: StringConstructor;
        default: string;
    };
    htmlText: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    htmlText: string;
    backgroundVariantResolver: Function;
    query: string;
    disableSort: boolean;
    maxMatches: number;
    minMatchingChars: number;
    disabledValues: unknown[];
    showOnFocus: boolean;
    showAllResults: boolean;
    highlightClass: string;
}, {}>;

export declare const VueBootstrapAutocompleteListItem: DefineComponent<    {
    active: {
        type: BooleanConstructor;
    };
    data: {};
    screenReaderText: {
        type: StringConstructor;
    };
    htmlText: {
        type: StringConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    backgroundVariant: {
        type: StringConstructor;
    };
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => null;
        validator: (d: unknown) => boolean;
    };
    textVariant: {
        type: StringConstructor;
    };
}, unknown, {
    baseTextClasses: string[];
}, {
    textClasses(): string;
}, {
    processFocusOut(evt: any): void;
}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ExtractPropTypes<    {
    active: {
        type: BooleanConstructor;
    };
    data: {};
    screenReaderText: {
        type: StringConstructor;
    };
    htmlText: {
        type: StringConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    backgroundVariant: {
        type: StringConstructor;
    };
    backgroundVariantResolver: {
        type: FunctionConstructor;
        default: (d: any) => null;
        validator: (d: unknown) => boolean;
    };
    textVariant: {
        type: StringConstructor;
    };
}>>, {
    active: boolean;
    disabled: boolean;
    backgroundVariantResolver: Function;
}, {}>;

export { }
